Create Company
curl --request POST \
--url https://api.example.com/v1/companies \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"industry": "<string>",
"website": "<string>",
"linkedin_url": "<string>",
"size": "<string>",
"city": "<string>",
"country": "<string>",
"domain": "<string>",
"tags": [
{}
]
}
'import requests
url = "https://api.example.com/v1/companies"
payload = {
"name": "<string>",
"industry": "<string>",
"website": "<string>",
"linkedin_url": "<string>",
"size": "<string>",
"city": "<string>",
"country": "<string>",
"domain": "<string>",
"tags": [{}]
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
industry: '<string>',
website: '<string>',
linkedin_url: '<string>',
size: '<string>',
city: '<string>',
country: '<string>',
domain: '<string>',
tags: [{}]
})
};
fetch('https://api.example.com/v1/companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"name": "<string>",
"industry": "<string>",
"website": "<string>",
"created_date": "<string>"
}
}Companies
Create Company
Create a new company in your workspace
POST
/
v1
/
companies
Create Company
Request
Body Parameters
string
required
Company name
string
Industry
string
Website URL
string
LinkedIn URL
string
Company size (e.g.,
1-10, 51-200)string
City
string
Country
string
Domain name
array
Array of tag strings
Headers
Authorization: Bearer wbk_your_api_key_here
Content-Type: application/json
Response
object
curl -X POST https://data.leadlex.com/functions/v1/api-gateway/v1/companies \
-H "Authorization: Bearer wbk_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{ "name": "Acme Legal", "industry": "Legal Services", "website": "https://acmelegal.com" }'
import requests
API_KEY = "wbk_your_api_key_here"
BASE_URL = "https://data.leadlex.com/functions/v1/api-gateway"
headers = {"Authorization": f"Bearer {API_KEY}", "Content-Type": "application/json"}
response = requests.post(f"{BASE_URL}/v1/companies", headers=headers, json={
"name": "Acme Legal", "industry": "Legal Services"
})
print(response.json())
const response = await fetch(
'https://data.leadlex.com/functions/v1/api-gateway/v1/companies',
{
method: 'POST',
headers: { 'Authorization': 'Bearer wbk_your_api_key_here', 'Content-Type': 'application/json' },
body: JSON.stringify({ name: 'Acme Legal', industry: 'Legal Services' })
}
);
const { data } = await response.json();
Errors
| Status | Code | Description |
|---|---|---|
| 400 | validation_error | Missing name |
| 403 | insufficient_permissions | Missing companies:write permission |